#include <bits/stdc++.h>
using namespace std;
int main(){
    ios_base::sync_with_stdio(false);cin.tie(0);cout.tie(0);
    int N,M;
    cin >> N >> M;
    int broj=0;
    broj += 2*M;
    broj += 2*(N-2);
    N-=2;
    M-=2;
    if(N%2==1){
        broj+=M/2;
        N--;
    }
    broj+=(N/2)*M;
    cout << broj;
    return 0;
}